<?php

defined( 'ABSPATH' ) OR exit;
if (!current_user_can('activate_plugins')) return;

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

$query = file_get_contents(dirname(__FILE__) . "/db.sql");
if (!$query) {
	die("Error opening file.");
}

require_once(EZSCM_PATH . "class.ezscm_backend.php");
$ezscm_backend = new Ezscm_backend();
$ezscm_backend->setup_db();
$ezscm_backend->upgrade();

update_option("ezscm_version", EZSCM_VERSION);