<?php

add_action('init','of_options_pmc');
if (!function_exists('of_options_pmc')) {
function of_options_pmc(){
	
//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       
//Testing 
$of_options_pmc_select = array("one","two","three","four","five"); 
$of_options_pmc_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
$of_options_pmc_homepage_blocks = array( 
	"disabled" => array (
		"placebo" 		=> "placebo", //REQUIRED!
		"block_one"		=> "Block One",
		"block_two"		=> "Block Two",
		"block_three"	=> "Block Three",
	), 
	"enabled" => array (
		"placebo" => "placebo", //REQUIRED!
		"block_four"	=> "Block Four",
	),
);
//Stylesheets Reader
$alt_stylesheet_path = LAYOUT_PATH;
$alt_stylesheets = array();
if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}
//Background Images Reader
$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
$images_url = get_template_directory_uri().'/images/'; // change this to where you store your bg images
$bg_images = array();
if ( is_dir($bg_images_path) ) {
    if ($bg_images_dir = opendir($bg_images_path) ) { 
        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
                $bg_images[] = $bg_images_url . $bg_images_file;
            }
        }    
    }
}
//Background Images Reader
$bg_images_path_header = get_stylesheet_directory(). '/images/bg-footer/'; // change this to where you store your bg images
$bg_images_url_header  = get_template_directory_uri().'/images/bg-footer/'; // change this to where you store your bg images
$bg_images_header  = array();
if ( is_dir($bg_images_path_header ) ) {
    if ($bg_images_dir_header = opendir($bg_images_path_header) ) { 
        while ( ($bg_images_file_header = readdir($bg_images_dir_header)) !== false ) {
            if(stristr($bg_images_file_header, ".png") !== false || stristr($bg_images_file_header, ".jpg") !== false) {
                $bg_images_header[] = $bg_images_url_header . $bg_images_file_header;
            }
        }    
    }
}
//Background header Images Reader
$bg_images_path_header = get_stylesheet_directory() . '/images/bg-footer/'; // change this to where you store your bg images
$bg_images_url_header  = get_template_directory_uri().'/images/bg-footer/'; // change this to where you store your bg images
$bg_images_header  = array();
if ( is_dir($bg_images_path_header ) ) {
    if ($bg_images_dir_header = opendir($bg_images_path_header) ) { 
        while ( ($bg_images_file_header = readdir($bg_images_dir_header)) !== false ) {
            if(stristr($bg_images_file_header, ".png") !== false || stristr($bg_images_file_header, ".jpg") !== false) {
                $bg_images_header[] = $bg_images_url_header . $bg_images_file_header;
            }
        }    
    }
}
/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/
//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
$body_att = array("scroll","fixed");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$number_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","25","30","35","40","45","50");
$slider_entries = array("sliceDown", "sliceDownLeft", "sliceUp", "sliceUpLeft", "sliceUpDown", "sliceUpDownLeft", "fold", "fade", "random", "slideInRight", "slideInLeft", "boxRandom", "boxRain", "boxRainReverse", "boxRainGrow", "boxRainGrowReverse");
$google_fonts = array("", "Allan:bold", "Allerta", "Allerta+Stencil", "Amaranth", "Anonymous+Pro", "Arimo", "Arvo", "Bentham", "Buda:light", "Cabin:bold", "Calligraffitti", "Cantarell", "Cardo", "opus+Cream+Soda", "Chewy","Coda:800", "Coming+Soon","Copse", "Corben:bold", "Cousine", "Covered+By+Your+Grace", "Crafty+Girls", "Crimson", "Crushed", "Cuprum", "Droid Sans", "Droid Sans Mono", "Droid Serif", "Fontdiner+Swanky", "Geo", "Gruppo", "Homemade+Apple", "IM Fell", "Inconsolata", "Irish+Growler", "Josefin Sans Std Light", "Josefin+Sans", "Josefin+Slab", "Just+Another+Hand", "Just+Me+Again+Down+Here", "Kenia", "Kranky", "Kreon", "Kristi", "Lato", "Lekton", "Lobster", "Luckiest+Guy", "Maven+Pro", "Merriweather", "Michroma", "Molengo", "Mountains+of+Christmas", "Neucha", "Neuton", "Nobile", "OFL Sorts Mill Goudy TT", "OFL Standard TT", "Orbitron", "Pacifico", "Permanent+Marker", "Philosopher", "PT Sans", "PT Sans Narrow", "Puritan", "Raleway:100", "Reenie Beanie", "Rock+Salt", "Schoolbell", "Six+Caps", "Slackey", "Sniglet:800", "Sunshiney", "Syncopate", "Tangerine", "Tinos", "Ubuntu", "UnifrakturCook:bold", "UnifrakturMaguntia", "Unkempt", "Vibur", "Vidaloka", "Vollkorn", "Walter+Turncoat", "Yanone Kaffeesatz");
$google_fonts_display = str_replace('+', ' ', $google_fonts);
$number_entries_display = array("Select a number:","4","8","12");
$number_entries_display_port = array("Select a number:","3","6","9");
$menus = get_registered_nav_menus();
// Image Alignment radio box
$of_options_pmc_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
// Image Links to Options
$of_options_pmc_image_link_to = array("image" => "The Image","post" => "The Post"); 
// Set the Options Array
global $of_options_pmc;
$of_options_pmc = array();
$of_options_pmc[] = array( "name" => "General Settings",
                    "type" => "heading");
					
$of_options_pmc[] = array( "name" => "Custom Menus settings",
                    "type" => "innerheading");
							
$of_options_pmc[] = array( "name" => "Menus",
					"desc" => "You can add unlimited number of menus and sort them with drag and drop.",
					"id" => "menu",
					"std" =>  array('title' => 'main-menu'),				
					"social" => false,	
					"menu" => true,	
					"sidebar" => false,					
					"type" => "slider");
					
$of_options_pmc[] = array( "name" => "Custom Sidebar settings",
                    "type" => "innerheading");
							
$of_options_pmc[] = array( "name" => "Sidebars",
					"desc" => "You can add unlimited number of sidebar and sort them with drag and drop. Sidebars can be then used in pagebuilder Widget block.",
					"id" => "sidebar",
					"std" =>  array('title' => 'Custom Sidebar'),				
					"social" => false,	
					"menu" => false,	
					"sidebar" => true,
					"type" => "slider");					
					
/*$of_options_pmc[] = array( "name" => "Default menu",
					"desc" => "Set default menu for all pages (if menu is not selected via block)",
					"id" => "default_menu",
					"std" => '',
					"type" => "select3");			*/			
					
$of_options_pmc[] = array( "name" => "Default top content settings",
                    "type" => "innerheading");
					
$of_options_pmc[] = array( "name" => "Page builder page for top part of single pages",
					"desc" => "Set default top content for single post and pages. ",
					"id" => "top_content",
					"std" => '7843',
					"type" => "select3");	
								
$of_options_pmc[] = array( "name" => "Page builder page for top part of blog page",
					"desc" => "Set top content for Blog, archive...",
					"id" => "top_content_blog",
					"std" => '7843',
					"type" => "select3");	
					
$of_options_pmc[] = array( "name" => "Default footer content settings",
                    "type" => "innerheading");				
					
$of_options_pmc[] = array( "name" => "Page builder page for footer ",
					"desc" => "Set default footer",
					"id" => "footer_content",
					"std" => '7843',
					"type" => "select3");	
					
$of_options_pmc[] = array( "name" => "Blog for home page",
                    "type" => "innerheading");				
					
$of_options_pmc[] = array( "name" => "Select tempalte if you are using blog for home page ",
					"desc" => "Set blog for home page",
					"id" => "blog_content",
					"std" => '9134',
					"type" => "select3");						
					
if ( is_plugin_active( 'page-builder-pmc/page-builder-pmc.php' ) ) {
	if (pmc_woo() && PMC_SHOP){ 				
		$of_options_pmc[] = array( "name" => "Default Woocommerce content settings",
							"type" => "innerheading");						
							
		$of_options_pmc[] = array( "name" => "Page builder page for top part of Woocommerce pages (shop, single product) ",
							"desc" => "Set header for Woocommerce",
							"id" => "woocommerce_header",
							"std" => 'none',
							"type" => "select3");		

		$of_options_pmc[] = array( "name" => "Page builder page for bottom part of Woocommerce pages (shop, single product) ",
							"desc" => "Set header for Woocommerce",
							"id" => "woocommerce_footer",
							"std" => 'none',
							"type" => "select3");
	}
}					
					
$of_options_pmc[] = array( "name" => "Other settings",
                    "type" => "innerheading");
											

$of_options_pmc[] = array( "name" => "Use Smooth scroll?",
					"desc" => "Check this if you wish to use smooth scroll.",
					"id" => "use_scroll",
					"std" => 1,
					"type" => "checkbox");	
					
$of_options_pmc[] = array( "name" => "Show Booking tab?",
					"desc" => "Check this if you wish to show booking tab at the bootom.",
					"id" => "show_booking",
					"std" => 1,
					"type" => "checkbox");	
					
					
$of_options_pmc[] = array( "name" => "Portfolio slug",
					"desc" => "If you are not using default <a href='".admin_url()."options-permalink.php' target='_blank'>Permalink structure</a> you will need to: <p>1. save Permalink to default structure </p><p> 2. save Permalink to your custom structure</p>",
					"id" => "port_slug",
					"std" => "portfolio",
					"type" => "text"); 		
					
$of_options_pmc[] = array( "name" => "Icon link ( <i class='fa fa-th'></i> ) for portfolio",
					"desc" => "Set icon link.",
					"id" => "portfolio_icon_link",
					"std" => "http://premiumcoding.com",
					"type" => "text");	
					
$of_options_pmc[] = array( "name" => "Logo settings",
                    "type" => "innerheading");						
					
					
$of_options_pmc[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => "logo",
					"std" => "http://opus.premiumcoding.com/wp-content/uploads/2014/05/opus-play-logo.png",
					"type" => "upload");	
					
$of_options_pmc[] = array( "name" => "Custom Retina Logo",
					"desc" => "Upload a logo for your theme (retina dispplay), or specify the image address of your online logo. (http://yoursite.com/logo@2x.png)",
					"id" => "logo_retina",
					"std" => "http://opus.premiumcoding.com/wp-content/uploads/2014/05/opus-play-logo.png",
					"type" => "upload");
					
$of_options_pmc[] = array( "name" => "Custom Scroll Logo",
					"desc" => "Upload a scroll logo for your theme. This is not required logo.",
					"id" => "scroll_logo",
					"std" => "http://opus.premiumcoding.com/wp-content/uploads/2014/05/opus-play-logo.png",
					"type" => "upload");					

$of_options_pmc[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "favicon",
					"std" => "http://opus.premiumcoding.com/wp-content/uploads/2014/04/opus-favicon.png",
					"type" => "upload"); 	
					
$of_options_pmc[] = array( "name" => "Google Analytics settings",
                    "type" => "innerheading");		
					
$of_options_pmc[] = array( "name" => "Content Setting",
                    "type" => "heading");
					
$of_options_pmc[] = array( "name" => "Our major brands images",
                    "type" => "innerheading");	
					
$of_options_pmc[] = array( "name" => "Our major brands",
					"desc" => "You can add unlimited number of images and sort them with drag and drop.",
					"id" => "advertiseimage",
					"std" =>  array('title' => 'slide','url' => '/wp-content/uploads/2012/09/sponsor1.png','link' => 'http://premiumcoding.com'),			
					"social" => false,	
					"menu" => false,	
					"sidebar" => false,					
					"type" => "slider");
					
$of_options_pmc[] = array( "name" => "Styling Options",
					"type" => "heading");
$of_options_pmc[] = array( "name" =>  "Main Theme Color ",
					"desc" => "Set the main color for your theme.",
					"id" => "mainColor",
					"std" => "#EEC43D",
					"type" => "color");		
					
$of_options_pmc[] = array( "name" =>  "Lower border Color",
					"desc" => "Lower border color for Portfolio categories (best if it is set to darker version of Theme's main Color",
					"id" => "gradient_color",
					"std" => "#ffffff",
					"type" => "color");						
					
					
$of_options_pmc[] = array( "name" =>  "Box Color ",
					"desc" => "Set the box color for your theme.",
					"id" => "boxColor",
					"std" => "#2a2b2c",
					"type" => "color");		
						
$of_options_pmc[] = array( "name" =>  "Shadow Color ",
					"desc" => "Set the Shadow color for your fonts.",
					"id" => "ShadowColorFont",
					"std" => "#ffffff",
					"type" => "color");			
					
$of_options_pmc[] = array( "name" => "Shadow opacity",
					"desc" => "Set Shadow opacity (between 0 and 1).",
					"id" => "ShadowOpacittyColorFont",
					"std" => "0.15",
					"type" => "text"); 	
						
					
$of_options_pmc[] = array( "name" => "Body background",
                    "type" => "innerheading");
					
$of_options_pmc[] = array( "name" => "Use boxed version?",
					"desc" => "Check this if you wish to use boxed style.",
					"id" => "use_boxed",
					"std" => 0,
					"type" => "checkbox");					
					
$of_options_pmc[] = array( "name" =>  "Body Background Color",
					"desc" => "Pick a background color for the theme.",
					"id" => "body_background_color",
					"std" => "#ffffff",
					"type" => "color");

$of_options_pmc[] = array( "name" => "Enable Background image (for boxed style)",
					"desc" => "Displays image as background.",
					"id" => "background_image_full",
					"std" => 0,
					"type" => "checkbox");
					
$of_options_pmc[] = array( "name" => "Background Image (for boxed style)",
					"desc" => "Upload background image",
					"id" => "image_background",
					"std" => "http://munditia.premiumcoding.com/wp-content/uploads/2014/01/slideshow-2.jpg",
					"type" => "upload");	
					
		
$of_options_pmc[] = array( "name" => "Custom Style",
                    "type" => "innerheading");				
					
$of_options_pmc[] = array( "name" => "Custom Style",
                    "desc" => "Add your custom style.",
                    "id" => "custom_style",
                    "std" => " ",
                    "type" => "textarea");						
	
$of_options_pmc[] = array( "name" => "Typography",
                    "type" => "heading");
					
$of_options_pmc[] = array( "name" => "Body Typography Settings",
					"desc" => "Change body typography. Set the font family, size, color and style.",
					"id" => "body_font",
					"std" => array('size' => '13px','color' => '#2a2b2c','face' => 'arial'),
					"type" => "typography");

$of_options_pmc[] = array( "name" => "Custom Google font for body Typography",
					"desc" => "Change body typography. Here you can add custom <a target ='_blank' href = 'https://www.google.com/fonts'>Google font</a>.",
					"id" => "google_body_custom",
					"std" => "",
					"type" => "text"); 						
					
$of_options_pmc[] = array( "name" => "Heading Typography Settings",
					"desc" => "Change heading typography. Set the font family and style.",
					"id" => "heading_font",
					"std" => array('face' => 'Yanone%20Kaffeesatz:300','style' => 'normal'),
					"type" => "typography");	
					
$of_options_pmc[] = array( "name" => "Custom Google font for heading Typography",
					"desc" => "Change heading typography. Here you can add custom <a target ='_blank' href = 'https://www.google.com/fonts'>Google font</a>.",
					"id" => "google_heading_custom",
					"std" => "",
					"type" => "text"); 						
					
$of_options_pmc[] = array( "name" => "Menu Typography Settings",
					"desc" => "Change munu typography. Set the font family.",
					"id" => "menu_font",
					"std" => array('face' => 'Yanone%20Kaffeesatz:300','style' => 'normal','color' => '#000'),
					"type" => "typography");

$of_options_pmc[] = array( "name" => "Custom Google font for menu Typography",
					"desc" => "Change menu typography. Here you can add custom <a target ='_blank' href = 'https://www.google.com/fonts'>Google font</a>.",
					"id" => "google_menu_custom",
					"std" => "",
					"type" => "text"); 						
					
$of_options_pmc[] = array( "name" => "Box Text Color (text on ribbons and boxes)",
					"desc" => "Change Box Text Color (text on ribbons and boxes).",
					"id" => "body_box_coler",
					"std" => "#ffffff",
					"type" => "color");	
					
$of_options_pmc[] = array( "name" => "Link Typography (color of text links)",
					"desc" => "Change Link Typography (color of text links).",
					"id" => "body_link_coler",
					"std" => "#2a2b2c",
					"type" => "color");			
									
$of_options_pmc[] = array( "name" => "H1 typography",
					"desc" => "Set H1 font size and color.",
					"id" => "heading_font_h1",
					"std" => array('size' => '30px','color' => '#2a2b2c'),
					"type" => "sizeColor");
$of_options_pmc[] = array( "name" => "H2 typography",
					"desc" => "Set H2 font size and color.",
					"id" => "heading_font_h2",
					"std" => array('size' => '22px','color' => '#2a2b2c'),
					"type" => "sizeColor");
					
$of_options_pmc[] = array( "name" => "H3 typography",
					"desc" => "Set H3 font size and color.",
					"id" => "heading_font_h3",
					"std" => array('size' => '20px','color' => '#2a2b2c'),
					"type" => "sizeColor");					
$of_options_pmc[] = array( "name" => "H4typography",
					"desc" => "Set H4 font size and color.",
					"id" => "heading_font_h4",
					"std" => array('size' => '16px','color' => '#2a2b2c'),
					"type" => "sizeColor");	
$of_options_pmc[] = array( "name" => "H5 typography",
					"desc" => "Set H5 font size and color.",
					"id" => "heading_font_h5",
					"std" => array('size' => '14px','color' => '#2a2b2c'),
					"type" => "sizeColor");		
$of_options_pmc[] = array( "name" => "H6 typography",
					"desc" => "Set H6 font size and color.",
					"id" => "heading_font_h6",
					"std" => array('size' => '12px','color' => '#2a2b2c'),
					"type" => "sizeColor");		
										
																							
$of_options_pmc[] = array( "name" => "Social Options",
					"type" => "heading");  
					
$of_options_pmc[] = array( "name" => "Social Icons",
					"desc" => "You can add unlimited number of social Icons and sort them with drag and drop.",
					"id" => "socialicons",
					"std" =>  array('title' => 'Facebook','url' => 'http://spletnogostovanje.eu/mundos/wp-content/uploads/2014/01/social-icon-twitter.png','link' => 'http://premiumcoding.com'),
					"social" => true,
					"sidebar" => false,
					"menu" => false,						
					"type" => "slider");	
					
$of_options_pmc[] = array( "name" => "Error page",
					"type" => "heading");      
					
$of_options_pmc[] = array( "name" => "404 Error page Title",
                    "desc" => "Set the title of the Error page (404 not found error).",
                    "id" => "errorpagetitle",
                    "std" => __('OOOPS! 404','barber'),
                    "type" => "text");	
										
$of_options_pmc[] = array( "name" => "404 Error page Title Content Text",
                    "desc" => "Add a description for your 404 page.",
                    "id" => "errorpage",
                    "std" => __('Sorry, but the page you are looking for has not been found.<br/>Try checking the URL for errors, then hit refresh.</br>Or you can simply click the icon below and go home:)','barber'),
                    "type" => "textarea");	   	
					
	
$of_options_pmc[] = array( "name" => "Footer Options",
					"type" => "heading");      
		
					
$of_options_pmc[] = array( "name" => "Copyright info",
                    "desc" => "Add your Copyright or some other notice.",
                    "id" => "copyright",
                    "std" => __('&copy; 2011 All rights reserved. ','barber'),
                    "type" => "textarea");

					
	}
}
?>