<?php
global $pmc_data; 
$use_bg = ''; $background = ''; $custom_bg = ''; $body_face = ''; $use_bg_full = '';



if(isset($pmc_data['background_image_full'])) {
	$use_bg_full = $pmc_data['background_image_full'];
	
}

if(isset($pmc_data['use_boxed'])){
	$use_boxed = $pmc_data['use_boxed'];
}
else{
	$use_boxed = 0;
}

if($use_bg_full) {


	if($use_bg_full && isset($pmc_data['use_boxed']) && $pmc_data['use_boxed'] == 1) {
		$bg_img = $pmc_data['image_background'];
		$bg_prop = '';
	}

	

	
	$background = 'url('. $bg_img .') '.$bg_prop ;

}

function ieOpacity($opacityIn){
	
	$opacity = explode('.',$opacityIn);
	if($opacity[0] == 1)
		$opacity = 100;
	else
		$opacity = $opacity[1] * 10;
		
	return $opacity;
}

function HexToRGB($hex,$opacity) {
		$hex = preg_replace("/#/", "", $hex);
		$color = array();
 
		if(strlen($hex) == 3) {
			$color['r'] = hexdec(substr($hex, 0, 1) . $r);
			$color['g'] = hexdec(substr($hex, 1, 1) . $g);
			$color['b'] = hexdec(substr($hex, 2, 1) . $b);
		}
		else if(strlen($hex) == 6) {
			$color['r'] = hexdec(substr($hex, 0, 2));
			$color['g'] = hexdec(substr($hex, 2, 2));
			$color['b'] = hexdec(substr($hex, 4, 2));
		}
 
		return 'rgba('.$color['r'] .','.$color['g'].','.$color['b'].','.$opacity.')';
	}
	
	if(isset($pmc_data['google_menu_custom']) && $pmc_data['google_menu_custom'] != ''){
		$font_menu = explode(':',$pmc_data['google_menu_custom']);
		if(count($font_menu)>1) {
			$font_menu = $font_menu[0];
		}
		else{
			$font_menu = $pmc_data['google_menu_custom'];
		}
	}else{
		$font_menu = explode(':',$pmc_data['menu_font']);
		if(count($font_menu)>1) {
			$font_menu = $font_menu[0];
		}
		else{
			$font_menu = $pmc_data['menu_font'];
		}
	}	

	if(isset($pmc_data['google_heading_custom']) && $pmc_data['google_heading_custom'] != ''){
		$font_heading = explode(':',$pmc_data['google_heading_custom']);
		if(count($font_heading)>1) {
			$font_heading = $font_heading[0];
		}
		else{
			$font_heading= $pmc_data['google_heading_custom'];
		}	
	}else{
		$font_heading = explode(':',$pmc_data['heading_font']);
		if(count($font_heading)>1) {
			$font_heading = $font_heading[0];
		}
		else{
			$font_heading=$pmc_data['heading_font'];
		}	
	}

	if(isset($pmc_data['google_body_custom']) && $pmc_data['google_body_custom'] != ''){
		$font_body = explode(':',$pmc_data['google_body_custom']);
		if(count($font_body)>1) {
			$font_body = $font_body[0];
		}
		else{
			$font_body = $pmc_data['google_body_custom'];
		}
	}else{
		$font_body = explode(':',$pmc_data['body_font']);
		if(count($font_body)>1) {
			$font_body = $font_body[0];
		}
		else{
			$font_body = $pmc_data['body_font'];
		}		
	}	

?>

body {	 
	background:<?php echo $pmc_data['body_background_color'].' '.$background ?>  !important;
	color:<?php echo $pmc_data['body_font']['color']; ?>;
	font-family: <?php echo $font_body; ?>, "Helvetica Neue", Arial, Helvetica, Verdana, sans-serif;
	font-size: <?php echo $pmc_data['body_font']['size']; ?>;
	font-weight: normal;
	line-height: 1.8em;
}
::selection { background: <?php echo $pmc_data['mainColor']; ?>; color:#fff; text-shadow: none; }
h1,h2,h3,h4,h5,h6, .blogpostcategory .posted-date p, .team .title, .term-description p, .titleBottom, .about-us-block-left-title, .about-us-block-right-title,
.team .title{
	font-family: <?php echo $font_heading; ?> !important;
	<?php if(strpos($pmc_data['heading_font']['face'],'200')) {?>
		font-weight: 300;
	<?php } else { ?>
		font-weight: normal;
	<?php }  ?>
	line-height: 150%;
}

h1 { 	
	color:<?php echo $pmc_data['heading_font_h1']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h1']['size'] ?> !important;
	}
	
h2, .term-description p { 	
	color:<?php echo $pmc_data['heading_font_h2']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h2']['size'] ?> !important;
	}

h3 { 	
	color:<?php echo $pmc_data['heading_font_h3']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h3']['size'] ?> !important;
	}

h4 { 	
	color:<?php echo $pmc_data['heading_font_h4']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h4']['size'] ?> !important;
	}	
	
h5 { 	
	color:<?php echo $pmc_data['heading_font_h5']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h5']['size'] ?> !important;
	}	

h6 { 	
	color:<?php echo $pmc_data['heading_font_h6']['color']; ?>;
	font-size: <?php echo $pmc_data['heading_font_h6']['size'] ?> !important;
	}	

.menu > li a {font-family: <?php echo $font_menu; ?> !important;
			  font-size: <?php echo $pmc_data['menu_font']['size'] ?>;
			  font-weight:<?php echo $pmc_data['menu_font']['style'] ?>;
			  color:<?php echo $pmc_data['menu_font']['color'] ?>;
}

h2.title a {color:<?php echo $pmc_data['heading_font_h2']['color']; ?>;}
a, a:active, a:visited, .footer_widget .widget_links ul li a{color: <?php echo $pmc_data['body_link_coler']; ?>;}	
.widget_nav_menu ul li a  {color: <?php echo $pmc_data['body_link_coler']; ?>;}
a:hover, h2.title a:hover, .item3 h3:hover,  .item3 h3 a:hover, #portitems2 h3 a:hover {color: <?php echo $pmc_data['mainColor']; ?>;}
.product-remove a:hover {color: <?php echo $pmc_data['mainColor']; ?> !important;}



/* ***********************
--------------------------------------
------------MAIN COLOR----------
--------------------------------------
*********************** */

a:hover, span, .one_fourth h3:hover, .homerecent .productR .recentCart a:hover, .aq-block-aq_article_block a, .copyright a,
.the-title a:hover, .date-post a, .block-post-author a, .blogpostcategory .post-meta a:hover, .singledefult .meta a:hover, .content ol.commentlist li .reply a,
.comment-author .commentsDate, .single-portfolio-skils i, .rightContentSP .single_add_to_cart_button:hover, .homerecent.productRH h3:hover, .current-menu-item > a, 
.ui-tabs .ui-tabs-nav li.ui-tabs-active a, .aq-block-aq_twitter_block a, .pmc-count i,.pmc-count-simple i, em a, .aq-posts-block .date-post, 
.textwidget i, .prebuild-contact .textwidget i, .pagewrap a:hover, .respMenu i,.respMenu a i, span.pmcmenutitleimage:hover, #headerwrap.pmc_menu_transparent .menu > li > a:hover,
 .author span, .team .description a, .support-widget .fa-chevron-down:hover, .price-price

{
	color:<?php echo $pmc_data['mainColor']; ?>;
}
#headerwrap.pmc_menu_transparent > li a.important_color, .menu > li a:hover,.current-menu-item > a,.current-menu-parent a, .pmc-simple-button a:hover,.pmc-simple-button:hover, h2.trigger.active, h2.trigger:hover, .toggle_container a 
{color:<?php echo $pmc_data['mainColor']; ?> !important;}
.mainmenu .menu .submenu li.current-menu-item a,.fixedmenu .menu .submenu li.current-menu-item a {color:#222 !important;}

.current-menu-item li > a, .current-menu-parent .sub-menu a{color:#fff !important;}

/* ***********************
--------------------------------------
------------WHITE COLOR----------
--------------------------------------
*********************** */

.widget_tag_cloud a, .widget_product_tag_cloud a, .errorpage, .errorpage h2{
	color:#fff;
}
 
 
/* ***********************
--------------------------------------
------------BACKGROUND MAIN COLOR----------
--------------------------------------
*********************** */

.top-cart, .titleborderh2:before, .aq-block-aq_contact_block .wpcf7-submit,
.widget_tag_cloud a:hover, .widget_product_tag_cloud a:hover, .menu .pmcbig ul.sub-menu li li:hover a:before, .menu ul.sub-menu li li:hover a:before,.menu ul li:hover a:before,
.aq-posts-block .holder-date, .aq-posts-block .recentdescription-text, .widget_price_filter .ui-slider .ui-slider-handle, .widget_price_filter .ui-widget-content,
.related .one_fourth .image img:hover, #commentform #respond #commentform input#submit:hover, #respond #commentform input#submit:hover,  
.portnavigation  .portprev:hover, .portnavigation  .portnext:hover,
a.button:hover, input.button, button.button, .place-order .button, .aq-pricetable-wrapper li.aq-pricetable-title h3.title, .errorpage, .aq-block-aq_twitter_block .intent-meta a,
.pmc-icon .pmc-icon-icon, .ih-item.square.effect9 .info h3, .tp-bullets.simplebullets.round .bullet.selected, .tp-bullets.simplebullets.round .bullet:hover,
.catlinkhover, .catlink:hover,  .wp-pagenavi .current, .wp-pagenavi a:link:hover, .blogpostcategory .blogmore,
.wp-pagenavi span.current, .wp-pagenavi a:hover, .blogpost .datecomment .link a,  .aq-posts-block .post-icon:after, .singledefult .post-icon, .blogpostcategory .post-icon,
.closehomeshow-portfolio, .closehomeshow-post,.aq-block-aq_blog_page_block .masonry_pmc .masonry-blog-link, .projectdetails a.bx-next, .projectdetails a.bx-prev, .builder-social a:hover, li.product:hover h3:after,
.cartTopDetails .product_list_widget .buttons a:hover, .titleborderOut .titleborder:after, .pmc-menu-button a, h2.title-block-title:before, .infotextwrap, .ezscm-browse .alignright, 
.ezscm-browse .alignleft,.ezscm-details-element input.callbackhour, .team .social a:hover, .pagecontentContent-title h1:after, li.ui-state-active:before, li.ui-state-default:hover:before, .accordion.ui-accordion h3:hover i,
.widget_tag_cloud a
  {
	background:<?php echo $pmc_data['mainColor']; ?> ;
}
.accordion .ui-state-default:hover, .ui-widget-header .ui-state-default:hover, .accordion .ui-state-active, .ui-state-hover, 
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, .catlinkhover,.widget_product_tag_cloud a:hover,.bottom-support-tab h3:hover, .support-widget input[type="submit"],
.ezscm-container input[type="submit"]
{background:<?php echo $pmc_data['mainColor']; ?> !important;}

.blogpost .datecomment .link a:hover, .aq-posts-block .post-icon, .singledefult .post-icon:after, .blogpostcategory .post-icon:after {background:<?php echo $pmc_data['gradient_color']; ?>}

/* JUST BACKGROUND COLOR */
.bx-next:hover, .bx-prev:hover, .gototop,.postcontent.port .blogsingleimage .nextbutton.port, .postcontent.port .blogsingleimage .prevbutton.port,
mark, .homerecent.SP .bx-next:hover, .homerecent.SP .bx-prev:hover{
	background-color:<?php echo $pmc_data['mainColor']; ?> ;
}

/* TRANSPARENT BACKGROUND COLOR */

.video-button a, .pmc-image .info,  .onsale{
	background:<?php echo HexToRGB($pmc_data['mainColor'], 0.75)?> !important;
}
.menu ul.sub-menu, .menu ul.children {background:<?php echo HexToRGB($pmc_data['mainColor'], 0.96)?> !important;}



.pmc-count:hover .pmc-count-number-border {width:100px;background:<?php echo $pmc_data['mainColor']; ?>;}
.pmc-count-simple .pmc-count-number-border {background:<?php echo $pmc_data['mainColor']; ?>;}
.pmc-icon:hover .pmc-icon-border, .pmc-icon-simple .pmc-icon-border {width:120px;background:<?php echo $pmc_data['mainColor']; ?>;}
.one_fifth.categories {border-bottom:2px solid<?php echo $pmc_data['mainColor']; ?>;}

.gototop {border-bottom:4px solid<?php echo $pmc_data['gradient_color']; ?>;}
.rightContentSP .single_add_to_cart_button:hover, .catlinkhover {}
.pmc-simple-button:hover {border:2px solid <?php echo $pmc_data['mainColor']; ?> !important;}
.pmc-quote:hover {border-left:4px solid <?php echo $pmc_data['mainColor']; ?> !important;}

.team .title {border-bottom:1px solid<?php echo $pmc_data['mainColor']; ?>;}




/* ***********************
--------------------------------------
------------MENU----------
--------------------------------------
*********************** */
.menu li li a:hover{color:#000 !important;}
#headerwrap {height:<?php if(isset($pmc_data['header_height'])) {echo $pmc_data['header_height']; } ?>px !important;}
#logo {margin-top:<?php if(isset($pmc_data['logo_top_margin'])) { echo $pmc_data['logo_top_margin']; }?>px;}
#header ul.menu > li > a {padding-top:<?php if(isset($pmc_data['menu_top_margin'])) { echo $pmc_data['menu_top_margin']; } ?>px;}
.menu ul li a:before, .menu .pmcbig ul.sub-menu li li a:before {border: 2px solid <?php echo $pmc_data['mainColor']; ?>;}
#footer .menu a.important_color {border-bottom:none;}



/* ***********************
--------------------------------------
------------EXTRA TYPOGRAPHY----------
--------------------------------------
*********************** */
.ezscm-details-element input.callbackhour, .ezscm .schedule-header, .aq-posts-block .widget h3,.holder-date, .pmc-icon-title, .menu .pmcbig .pmcmenutitle > a,
.ih-item.circle.effect1 .info h3, .accordion.ui-accordion h3{font-family: <?php echo $font_heading; ?> !important;}


.item4 h3 a, .boxdescwraper h2,.socialfooter h3,  #portitems2 h3, #respond #commentform input,.widget_search form div input,
.content ol.commentlist li .comment-author .fn a, .projectdescription h2,  .menu ul.children li a,.homerecent .productR h3,#remove a, .remove h2,
.widget_price_filter  .price_slider_amount .button, .place-order .button, .widget_login .submitbutton, .rightContentSP .single_add_to_cart_button, .button,
.aq-block-aq_contact_block .wpcf7-submit, .wttitle h4 a, .related h4 a, .accordion h3, .ui-widget, .question h3, .success h3, .info h3, .error h3,
.home.page .aq-block-aq_contact_block textarea, .home.page .aq-block-aq_contact_block input, .aq-block-aq_contact_block .wpcf7-submit, .ezscm .schedule-header span
{ font-family: <?php echo $font_body; ?>, "Helvetica Neue", Arial, Helvetica, Verdana, sans-serif !important;}



 /* ***********************
--------------------------------------
------------BOXED---------------------
-----------------------------------*/
<?php if($use_boxed == 0 &&  isset($pmc_data['use_background']) && $pmc_data['use_background'] == 1){ ?>
	body, .cf, .mainwrap, .post-full-width, .titleborderh2, .sidebar  {
	background:<?php echo $pmc_data['body_background_color'].' '.$background ?>  !important; 
	}
	
<?php	} ?>

 <?php if(isset($pmc_data['use_boxed']) &&  $use_boxed == 1){ ?>
header,.outerpagewrap{background:none !important;}
header,.outerpagewrap,.aq-block-aq_notification_menu_block,.mainwrap{background-color:<?php echo $pmc_data['body_background_color'] ?> ;}
@media screen and (min-width:1220px){
body {width:1220px !important;margin:0 auto !important;}
.top-nav ul{margin-right: -21px !important;}
.mainwrap.shop {float:none;}
.pagenav.fixedmenu { width: 1220px !important;}
.bottom-support-tab,.totop{right:5px;}

<?php if($use_bg_full){ ?>
	body {
	background:<?php echo $pmc_data['body_background_color'].' '.$background ?>  !important; 
	background-attachment:fixed !important;
	background-size:cover !important; 
	}	
<?php	} ?>
 <?php if(!$use_bg_full){ ?>
	body {
	background:<?php echo $pmc_data['body_background_color'].' '.$background ?>  !important; 
	}
	
<?php	} ?>	
}
<?php } ?>
 
 
 


/* ***********************
--------------------------------------
------------CUSTOM CSS----------
--------------------------------------
*********************** */

<?php echo pmc_stripText($pmc_data['custom_style']) ?>