<?php

if (!function_exists("get_option")) die("Access denied.");

require_once(EZSCM_PATH . "class.ezscm_frontend.php");
$ezscm_frontend = new Ezscm_frontend();

parse_str($_POST["data"], $data);

$action = $data["action"];

switch ($action) {
	case "submit":
		$res = $ezscm_frontend->save_entry($data["data"]);
		echo $res;
	break;

	case "get_public_schedule":
		$id   = (int) $data["id"];
		$week = isset($data["week"]) ? $data["week"] : -1;

		$options = $ezscm_frontend->get_schedule_settings_values($id);
		$exclude = array("email_admin_sender", "email_admin_subject", "email_admin_text", "email_recipient", "email_subject", "email_text");
		foreach ($exclude as $ex) {
			if (!isset($options[$ex])) continue;

			unset($options[$ex]);
		}

		echo json_encode(array(
			"entries" 	=> $ezscm_frontend->get_entries($id, $week),
			"options"	=> $options
		));
	break;
}

die();

function send_message($type, $msg, $id=0) {
	return json_encode(array(
		$type 	=> $msg,
		"id"	=> $id
	));
}