<?php

defined( 'ABSPATH' ) OR exit;
if (!current_user_can('activate_plugins')) return;

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

$tables = array(
	"ezscm_debug",
	"ezscm_entries",
	"ezscm_settings",
	"ezscm_settings_schedule",
	"ezscm_schedules"
);

$options = array(
	"captcha_private",
	"captcha_public",
	"custom_css",
	"debug_mode",
	"required_text",
	"uninstall_keep_data",
	"version"
);

// do not delete data
if (get_option("ezscm_uninstall_keep_data") == 1) return;

foreach ($tables as $t) {
	$wpdb->query("DROP TABLE IF EXISTS `{$wpdb->prefix}{$t}`");
}

foreach ($options as $o) {
	delete_option("ezscm_{$o}");
}